Using Cocoapods with Reveal-SDK 6

Les's Avatar

Les

09 Feb, 2017 06:26 PM

Whenever I use cocoa pods it installs the reveal server (5)

What can I do to make it work with Reveal 6?

  1. Support Staff 1 Posted by Tony Arnold on 09 Feb, 2017 10:18 PM

    Tony Arnold's Avatar

    Hi Les,

    Sorry about this - I'll help get you up and running again.

    I can see that the correct version is listed on the CocoaPods repository (https://cocoapods.org/?q=reveal-sdk), so it is available.

    Does your Podfile specify the version of Reveal-SDK? If not, please try running pod update Reveal-SDK - that should update you to v6.

    thanks,

    Tony

  2. 2 Posted by Les Titze on 10 Feb, 2017 02:15 AM

    Les Titze's Avatar

    Thanks Tony, that fixed it immediately!

    Instead of using the CLI CocoaPods, I'm using the new (incomplete) CocoaPods app which doesn't seem to have an "update" feature. The reason for that is too long to get into but it involves "rbenv" and some other issues I have with gems.

    I went into the ~/.cocoapods/ directory and simply deleted the entire cocoapods master directory. I needed a clean start anyway. Now it has version 6

    Thanks for pointing me in the right direction.

  3. Oliver Jones closed this discussion on 10 Feb, 2017 07:44 AM.

  4. Tony Arnold re-opened this discussion on 12 Feb, 2017 12:23 AM

  5. Support Staff 3 Posted by Tony Arnold on 12 Feb, 2017 12:23 AM

    Tony Arnold's Avatar

    Great to hear, Les. Thanks for letting me know that you've got it all worked out now :)

    Please don't hesitate to ask if you have other questions about Reveal.

  6. Tony Arnold closed this discussion on 12 Feb, 2017 12:23 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac